{% extends "lab_7/layout/base.html" %}

{% block content %}
    <section name="friend-list" id="friend-list">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <h2>Fasilkom Friends</h2>
                    <div id="friend-list" class="list-group">

                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}
{% block javascript %}
    <script>
        var deleteFriend = function(obj_id) { 
           url = '{% url "lab-7:delete-friend" 0 %}'.replace('0', obj_id); 
           $.ajax({ 
            method: "POST", 
            url: url, 
            data: {friend_id:obj_id}, 
            success : function (response) { 
             selector = "#friend-list#" + obj_id 
             $("#"+obj_id).remove() 
            }, 
            error : function (error) { 
             alert("error") 
            } 
           }); 
          };

        $( document ).ready(function () {
            $.ajax({
                method: "GET",
                url: "{% url 'lab-7:get-friend-list' %}",
                success: function (response) {
                    var list_friend = response.results;
                for (friend in list_friend) {
                    friend_obj = list_friend[friend]
                    html = '<a class="list-group-item clearfix" id='+ friend_obj.id + '>' + 
                                friend_obj.friend_name + ' (' + friend_obj.npm + ')' +
                                '<span class="pull-right">' + 
                                '<span class="btn btn-xs btn-default" onClick="deleteFriend(' + friend_obj.id + ')">' 
                                + 'Hapus teman' + '</span></a>';
                $("#friend-list").append(html)
                }

                },
                error: function(error){
                    alert("Kosong");
                }
            });
        });
    </script>
{% endblock %}
